# dmd.permissivevisitor

A visitor that facilitates the traversal of subsets of the AST.

Documentation: https://dlang.org/phobos/dmd_permissivevisitor.html

Coverage: https://codecov.io/gh/dlang/dmd/src/master/src/dmd/permissivevisitor.d

- `PermissiveVisitor`

  #### Declaration

  `class `PermissiveVisitor`(AST): ParseTimeVisitor!AST;`

  `PermissiveVisitor` overrides all the visit methods in the parent class that assert(0) in order to facilitate the traversal of subsets of the AST. It does not implement any visiting logic.